@media (min-width: 1600px) {
  .container {
    max-width: 1224px;
  }
}

@media (max-width: 1599px) {
}

@media (max-width: 1400px) {
}

@media (min-width: 1199px) {
  .has-megamenu {
    position: static !important;
  }
  .has-megamenu .megamenu {
    left: 2%;
    right: 2%;
    width: 96% !important;
    top: 100%;
    border-radius: 8px 8px 16px 16px;
    position: absolute;
    background: var(--white);
    margin-top: 0;
    padding: clamp(16px, 2vw, 24px);
    display: none;
    opacity: 0;
    visibility: hidden;
    transition:
      opacity 0.2s ease,
      visibility 0.2s;
  }

  /* .has-megamenu:hover .megamenu {
    display: block;
    opacity: 1;
    visibility: visible;
  } */
  .megamenu.show {
    display: block;
    opacity: 1;
    visibility: visible;
  }
  .has-megamenu:hover .nav-link.drop::after {
    transform: rotate(180deg);
    background-image: url("data:image/svg+xml,%3Csvg width='11' height='6' viewBox='0 0 11 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.5 0.5L5.5 5.5L10.5 0.5' stroke='%231e40af' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  }
}

@media (max-width: 1199px) {
  .header {
    top: 8px;
  }
  .mega-navbar {
    border-radius: 16px;
    padding: 8px 16px;
    width: 96%;
    height: 62px;
  }
  .header.scrolled .mega-navbar {
    border-radius: 0px 0px 16px 16px;
  }
  .navbar-brand {
    padding: 2px 0px;
    max-width: 60px;
  }
  .offcanvas.offcanvas-start {
    width: 90%;
    min-width: 300px;
  }
  .offcanvas .navbar-nav {
    width: 100%;
  }
  .header-nav-link{
    padding: 16px 16px;
	  border-bottom:1px solid var( --gray-2);
  }

   .sub-link-wrapper,
  .nested-menu {
    position: static !important;
    transform: none !important;
    opacity: 1 !important;
    visibility: visible !important;
    display: none;
    background: transparent;
    padding:0px 12px;
    box-shadow: none;
  }
  .nested-menu{
    border: 1px solid var( --d-strok);
    border-radius: 12px;
	  margin-top:12px;
  }

  .nav-item.open > .sub-link-wrapper {
    display: block;
  }

  .dropdown.open > .nested-menu {
    display: block;
  }
 .main-link-hover {
padding: 12px 16px;
border-bottom: 1px solid var(--gray-2);
}
.main-link-hover >svg{
  transform: rotate(90deg) translateY(10px);
    
}
  .main-nav-link {
    padding: 10px 16px;
	  border-bottom:1px solid var(--gray-2);
  }

  .header-nav-link {
    width: 100%;
    justify-content: space-between;
  }

  .sub-link-wrapper {
    padding: 0;
  }

  .responsive-tab {
    position: relative;
    z-index: 3;
  }
}

@media (max-width: 991px) {
  .timeline-item .t-card {
    flex-direction: column;
    align-items: flex-start;
  }
  .timeline-item.left .t-card {
    flex-direction: column;
  }
  .history-img {
    width: 90px;
    height: 90px;
    border-radius: 20px;
  }
  .sticky-card {
    position: static;
  }
  .offcanvas-lg.offcanvas-top {
    min-height: 100vh;
  }
  .article-image {
    flex-wrap: wrap;
  }
  .context-img {
    width: 100%;
    height: 100%;
    max-width: 100%;
    aspect-ratio: 556/460;
  }
  .location-tab-nav {
    display: flex;
    align-items: center;
    gap: 4px;
    flex-wrap: wrap;
  }
  .location-info {
    flex-direction: column;
  }
  .location-tab-btn {
    padding: 10px 14px;
    border-radius: 8px;
    justify-content: center;
  }
  .location-tab-btn i {
    display: none;
  }
  .location-tab-nav .nav-item {
    margin-bottom: 0px;
    flex-grow: 1;
  }
  .map-img {
    width: 100%;
    max-width: 200px;
    aspect-ratio: 1/0.8;
  }
  .sm-feature-wrapper.l {
    padding-right: 0px;
  }
  .sm-feature-wrapper.r {
    padding-left: 0px;
  }
  .sm-features.r {
    flex-direction: row;
  }
  .sm-features {
    padding: 10px !important;
  }
  .laptop-image {
    margin: 0 auto;
  }
  .point-links {
    display: none;
  }
  .service-card-4.card-5{
flex-direction: column;
}
.service-img.img-2{
  width: 100%;
  aspect-ratio: 186/80;
  background-color: var(--primary);
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
}

@media (max-width: 767px) {
  .s-card-icon-box {
    width: 100px;
    height: 100px;
    padding: 14px;
  }
  .service-card {
    flex-direction: column;
    padding: 16px;
  }
  .service-card-inner {
    flex-direction: column;
    gap: 16px;
  }
  .footer li {
    margin-bottom: 6px;
  }
  .timeline-item {
    width: 100%;
    margin-bottom: 16px;
  }
  .timeline-item.right {
    width: 100%;
    left: 0;
  }
  .timeline-item.right .t-card,
  .timeline-item.left .t-card {
    margin-left: auto;
    border-radius: 18px;
  }
  .history-img {
    width: 100%;
    height: 170px;
    object-fit: cover;
  }
  .timeline::before {
    display: none;
  }
  .location-buttons {
    justify-content: center;
    gap: 6px;
  }
}

@media (max-width: 576px) {
  .menu-links li a {
    font-size: 14px;
    margin-bottom: 8px;
  }
  .sub-link.fs-20{
    font-size: 14px;
  }
  .plus-tl {
    top: 16px;
    left: 16px;
  }
  .plus-bl {
    bottom: 16px;
    left: 16px;
  }
  .plus-tr {
    top: 16px;
    right: 16px;
  }
  .plus-br {
    bottom: 16px;
    right: 16px;
  }
  .stats-outer-box {
    border-left: none;
    border-right: none;
  }
  .service-card-2,
  .service-card-3 {
    flex-direction: column;
    align-items: start;
  }

  .icon-box-2 {
    width: 100px;
    height: 100px;
  }
  .icon-box-2 svg {
    width: 60%;
  }
  .inner-hero-box img {
    max-width: 110px;
  }
  .inner-hero-box {
    height: 160px;
  }
  .hexa-icon {
    width: 50px;
    height: 50px;
    aspect-ratio: 1/1;
    margin-bottom: 10px;
  }
  .hexa-card-icon .heading-4 {
    font-size: 16px;
  }
  .hexa-card-icon .card-number {
    width: 44px;
    height: 50px;
    font-size: 24px;
  }
  .hw-info {
    padding: 16px 20px;
  }
  .certi-img {
    width: 24px;
    height: 80px;
    object-fit: contain;
  }
  .map-container {
    height: 300px;
  }
  .short-link-wrapper a:not(:last-child) {
    padding-bottom: 10px;
    margin-bottom: 10px;
  }
  .contact-form input,
  .contact-form textarea {
    border-radius: 16px;
    border: 1px solid var(--gray-2);
    padding: 10px 13px;
    font-family: var(--base-font);
    font-size: 1rem;
    transition: var(--trans);
  }
  .article-meta {
    padding: 8px 8px;
  }

  .article-meta span {
    font-size: 12px;
  }
  .article-meta span img {
    width: 14px;
    height: 14px;
  }
  .fh-item .fh-item-img {
    width: 100px;
    height: 100px;
  }
  .fh-item .heading-3 {
    font-size: 20px;
  }
  .sm-features {
    text-align: start;
  }
  .sm-feature-icon img {
    width: 50px;
    height: 50px;
  }
  .sm-feature-icon {
    border-radius: 8px;
    max-width: 80px;
  }
}

@media (max-width: 440px) {
  .brand-btn-md {
    font-size: 13px;
  }
  .col-xs-12 {
    width: 100%;
  }
  .hexa-card-icon {
    max-width: 200px;
  }
  .page-link span {
    display: none;
  }
  .fh-item .fh-item-img {
    width: 60px;
    height: 60px;
  }
  .fh-item .heading-3 {
    font-size: 14px;
  }
  .workshop-time-date {
    flex-direction: column;
    align-items: flex-start;
  }
  .opening-info {
    width: 100%;
  }
  .current-time {
    width: 100%;
  }
  .current-status {
    position: absolute;
    left: auto;
    right: 10px;
    top: 10px;
    margin-top: 0;
  }
  .page-quick-link {
    font-size: 13px;
  }
}
